import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "./plugins/element.js";
import moment from "moment"; //导入文件
import Mixin from "./mixins";
import preview from "vue-photo-preview";
import "vue-photo-preview/dist/skin.css";
import * as VueWindow from "@hscmap/vue-window";

Vue.prototype.$moment = moment; //赋值使用
Vue.config.productionTip = false;
Vue.mixin(Mixin);
Vue.use(preview);
Vue.use(VueWindow);

export default Vue.prototype.bus = new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
